com.trendmicro.ds.appcontrol.rest.object

## Enum DecisionLog.DecisionType

- java.lang.Object
- - java.lang.Enum<DecisionLog.DecisionType>
  - - com.trendmicro.ds.appcontrol.rest.object.DecisionLog.DecisionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DecisionLog.DecisionType>
  Enclosing class:
    DecisionLog

      public static enum DecisionLog.DecisionType
      extends java.lang.Enum<DecisionLog.DecisionType>

  Type of decision that lead to this decision log.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW` Used if decision log generated after allow an application.
    `ALLOW_ALL` Used if decision log generated after press allow-all applications on action tab.
    `BLOCK` Used if decision log generated after block an application.
    `BLOCK_ALL` Used if decision log generated after press block-all applications on action tab.
    `UNKNOWN` Used if decision log generated for unknown reason.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecisionLog.DecisionType` | `forValue(java.lang.Integer decisionType)`
    `static DecisionLog.DecisionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DecisionLog.DecisionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DecisionLog.DecisionType UNKNOWN

      Used if decision log generated for unknown reason.

    - #### ALLOW

          public static final DecisionLog.DecisionType ALLOW

      Used if decision log generated after allow an application.

    - #### BLOCK

          public static final DecisionLog.DecisionType BLOCK

      Used if decision log generated after block an application.

    - #### ALLOW_ALL

          public static final DecisionLog.DecisionType ALLOW_ALL

      Used if decision log generated after press allow-all applications on action tab.

    - #### BLOCK_ALL

          public static final DecisionLog.DecisionType BLOCK_ALL

      Used if decision log generated after press block-all applications on action tab.

  - ### Method Detail

    - #### values

          public static DecisionLog.DecisionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecisionLog.DecisionType c : DecisionLog.DecisionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecisionLog.DecisionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forValue

          public static DecisionLog.DecisionType forValue(java.lang.Integer decisionType)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.